## gstreamer1.0-libde265 0.1.12

=== debian/changelog ===
gstreamer1.0-libde265 (0.1.12-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Comment out B-D for libgstreamer1.0 plugin -dev packages.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 29 Sep 2016 10:42:35 -0700

gstreamer1.0-libde265 (0.1.12-1ppa1~trusty1) unstable; urgency=low

  * Explicitly link against -audio and -tag libraries if Matroska/MP4
    part is enabled.
  * Support additional bit depths with libde265 1.0.0.
  * Require libde265 >= 1.0.2.

 -- Joachim Bauch <bauch@struktur.de>  Wed, 15 Jul 2015 17:43:21 +0200

gstreamer1.0-libde265 (0.1.11-2ppa1) precise; urgency=low

  * Fixed build dependencies.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 29 Aug 2014 13:05:40 +0200

gstreamer1.0-libde265 (0.1.11-1ppa1) unstable; urgency=low

  * Support building against GStreamer 1.4
  * Fixed memory leak if decoder could not be flushed.
  * Make number of threads configurable.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 29 Aug 2014 10:46:49 +0200

gstreamer1.0-libde265 (0.1.10-2ppa2) unstable; urgency=low

  * Enabled armhf builds.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 08 Aug 2014 14:23:31 +0200

gstreamer1.0-libde265 (0.1.10-2ppa1) unstable; urgency=low

  * Updated GStreamer metadata for new elements/decoders.

 -- Joachim Bauch <bauch@struktur.de>  Mon, 07 Jul 2014 18:13:29 +0200

gstreamer1.0-libde265 (0.1.10-1ppa1) unstable; urgency=low

  * Decode NAL blocks in extra data. Fixes broken decoding for some
    files.
  * Added patched isomp4 decoder with support for HEVC video.
  * Register patched demuxers with custom name to prevent overwriting by
    original demuxer.

 -- Joachim Bauch <bauch@struktur.de>  Mon, 07 Jul 2014 17:44:49 +0200

gstreamer1.0-libde265 (0.1.9-1ppa1) unstable; urgency=low

  * Require libde265 0.7.
  * Support direct rendering.
  * Minor changes and bugfixes.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 06 Jun 2014 17:33:59 +0200

gstreamer1.0-libde265 (0.1.8-1ppa1) unstable; urgency=low

  * Added support for HEVC/H.265 content in MPEG-TS (if supported by
    underlying GStreamer framework).
  * Improved detection of packetized / raw HEVC/H.265 streams.
  * Improved handling of excessive fps values.

 -- Joachim Bauch <bauch@struktur.de>  Wed, 07 May 2014 12:18:58 +0200

gstreamer1.0-libde265 (0.1.7-1ppa2) unstable; urgency=low

  * Fixed wrong folder name in rules.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 11 Apr 2014 17:32:25 +0200

gstreamer1.0-libde265 (0.1.7-1ppa1) unstable; urgency=low

  * Build using autoconf/automake tools.

 -- Joachim Bauch <bauch@struktur.de>  Fri, 11 Apr 2014 15:30:30 +0200

gstreamer1.0-libde265 (0.1.6-1ppa1) unstable; urgency=low

  * Use more threads to increase decoding speed.
  * Fixed issue if stride was smaller than width.
  * Use new API when compiling against libde265 0.5 or newer.
  * Compile with zlib/bz2 support in Matroska demuxer.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 06 Mar 2014 11:27:07 +0100

gstreamer1.0-libde265 (0.1.5-1ppa1) unstable; urgency=low

  * Support decoding of raw bitstreams.
  * Added sample player.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 20 Feb 2014 16:59:11 +0100

gstreamer1.0-libde265 (0.1.4-1ppa1) unstable; urgency=low

  * New upstream release.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 16 Jan 2014 17:56:26 +0100

gstreamer1.0-libde265 (0.1.2-1ppa1) unstable; urgency=low

  * Initial release.

 -- Joachim Bauch <bauch@struktur.de>  Thu, 16 Jan 2014 16:23:08 +0100
