=== debian/control ===
Source: gstreamer1.0-libde265
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Joachim Bauch <bauch@struktur.de>
Build-Depends:
 debhelper (>= 6.0),
 libtool,
 automake,
 autoconf,
 pkg-config,
 libz-dev,
 libbz2-dev,
 libde265-dev (>= 1.0.2),
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
# libgstreamer-plugins-good1.0-dev,
  libgstreamer-plugins-bad1.0-dev
Standards-Version: 3.9.3
Section: libs
Homepage: https://github.com/strukturag/libde265

Package: gstreamer1.0-libde265
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: HEVC/H.265 Video Decoder (GStreamer plugin)
 HEVC/H.265 Video Decoder (GStreamer plugin) using libde265
 for decoding.

Package: gstreamer1.0-libde265-dbg
Section: debug
Architecture: any
Depends:
 gstreamer1.0-libde265 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: HEVC/H.265 Video Decoder (GStreamer plugin) - debug symbols
 HEVC/H.265 Video Decoder (GStreamer plugin) using libde265
 for decoding.
 .
 The debugging symbols for tracking down bugs in applications
 that use gstreamer1.0-libde265 are provided by this package.
