=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEBIAN := $(shell pwd)/debian
$DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
GSTREAMER_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Source: gstreamer\([0-9\.]\+\)-libde265/\1/p')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	./configure --enable-gstreamer$(GSTREAMER_VERSION) --prefix=$(DEBIAN)/prefix
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	if [ -f build-stamp ]; then $(MAKE) clean ; fi
	rm -f configure-stamp
	rm -f build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) install

	mkdir -p $(DEBIAN)/gstreamer$(GSTREAMER_VERSION)-libde265/usr/lib/$($DEB_HOST_MULTIARCH)/gstreamer-$(GSTREAMER_VERSION)/
	cp $(DEBIAN)/prefix/lib/gstreamer-$(GSTREAMER_VERSION)/*.so $(DEBIAN)/gstreamer$(GSTREAMER_VERSION)-libde265/usr/lib/$($DEB_HOST_MULTIARCH)/gstreamer-$(GSTREAMER_VERSION)/
	mkdir -p $(DEBIAN)/gstreamer$(GSTREAMER_VERSION)-libde265/usr/bin/
	install $(DEBIAN)/prefix/bin/playhevc $(DEBIAN)/gstreamer$(GSTREAMER_VERSION)-libde265/usr/bin/gst-playhevc-$(GSTREAMER_VERSION)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installlogrotate
	dh_installmenu
	dh_link
	dh_gstscancodecs -pgstreamer$(GSTREAMER_VERSION)-libde265
	dh_strip --dbg-package=gstreamer$(GSTREAMER_VERSION)-libde265-dbg
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -Vgstreamer:Version="$(GSTREAMER_VERSION)"

	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
